#include <iostream>
#include <string>
using namespace std;
        /* imamo 1 2 5*/
string st;//   0,1,2,3,4,5,6,7,8,9*/
int cifra[10]={0,1,1,2,2,1,2,2,3,3};
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin>>st;
    int duzina=st.length();
    int suma=0;
    for(int i=0;i<duzina;i++)
    {
        //48=0
        int c=int(st[i])-48;
        //cout<<st[i]<<" "<<c<<endl;
        suma+=cifra[c];
    }
    cout<<suma;
    return 0;
}